Home > Community > Forums > Functional Verification > Regarding the support for INCISIV10.20.25

Email

* Required Fields

Recipients email * (separate multiple addresses with commas)

Your name *

Your email *

Message *

Contact Us

* Required Fields
First Name *

Last Name *

Email *

Company / Institution *

Comments: *

 Regarding the support for INCISIV10.20.25 

Last post Mon, Mar 5 2012 3:30 AM by StephenH. 1 replies.
Started by anubhaw2004 05 Mar 2012 02:40 AM. Topic has 1 replies and 2427 views
Page 1 of 1 (2 items)
Sort Posts:
  • Mon, Mar 5 2012 2:40 AM

    • anubhaw2004
    • Not Ranked
    • Joined on Thu, Apr 7 2011
    • Bangalore, Karnataka
    • Posts 2
    • Points 40
    Regarding the support for INCISIV10.20.25 Reply

     Hi ,

         I am using NCSIM ver 10.20.  In my bfm we have implemented the wrapper in SV as the actual bfm is in

         C++(SV DPI). Similarly we have also implemented the callback in the bfm and the wrapper . When i am writting the coverage in

        UVM  and using the callback that were basically impleneted in c++ and in SV by using the DPI concept of the SV, its not working.

         Same code is working very fine with Questa and VCS. Do i need to add some code in my script to use the callback in my 

         UVM monitor. Can anyone help me in this.

     

    Thanks

    Anu

     

    • Post Points: 20
  • Mon, Mar 5 2012 3:30 AM

    • StephenH
    • Top 25 Contributor
    • Joined on Tue, Sep 2 2008
    • Bristol, Avon
    • Posts 277
    • Points 4,430
    Re: Regarding the support for INCISIV10.20.25 Reply
    Hello Anu.

    I can't think of any reason why your code wouldn't work. We'll likely need to have a closer look at the problem and see you source code to understand exactly what you are doing. Rather than doing that in a public forum where you probably can't share your code, please could you file a support request at http://support.cadence.com/ and we can then work with you to resolve the issue.

    By the way, 10.20.025 is already a bit dated; if you could try a newer version it might help. The very latest is 10.20.039 (for the 10.2 stream) or 11.10.007 for the 11.1 stream.

    Regards,
    Steve.
    Steve Hobbs / Applications Engineer / Cadence Functional Verification
    • Post Points: 5
Page 1 of 1 (2 items)
Sort Posts:
Started by anubhaw2004 at 05 Mar 2012 02:40 AM. Topic has 1 replies.